Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80651 - konsole doesn't do anything with modfier keys for the cursor and function keys
Summary: konsole doesn't do anything with modfier keys for the cursor and function keys
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: kdebase
Version: beta1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-29 15:44 UTC by Hans de Goede
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-10 14:38:31 UTC


Attachments (Terms of Use)

Description Hans de Goede 2002-12-29 15:45:01 UTC
Description of problem:
konsole doesn't do anything with modfier keys for the cursor and function keys

Version-Release number of selected component (if applicable):
kdebase-3.1-0.9

konsole doesn't do anything different for ctrl left instead of left or ctrl F5
instead of F5 etc. I don't know if this really counts as a bug since modifiers
with special keys are not part of terminfo and as such are not standardised. 

Although for example ctrl-left or right in gnome-terminal does do forward /
backward word in bash thanks to an entry in /etc/inputrc.

Also gnome-terminal and xterm send different modfier esc-sequences for F1-F4 and
the cursor keys. Since gnome is the default RH desktop I think it is best to
redhatify (or gnomeify) konsole and lett it mimic gnome-terminal. This includes
the changes suggested in bug 63473 and bug 80650.

Comment 1 Hans de Goede 2003-07-24 12:48:19 UTC
Still there in severn, I'm willing to write a patch for this and bugs 63473 and
80650, if you're willing to include it :)

Comment 2 Hans de Goede 2003-09-28 14:03:19 UTC
I've created a patch fixing this and bug 63473, this patch is attched to bug 63473


Comment 3 Hans de Goede 2003-10-10 09:43:57 UTC
ping


Comment 4 Ngo Than 2003-10-10 14:38:31 UTC
i have added your patch in kdebase-3.1.4-3. many thanks for your patch files.


Note You need to log in before you can comment on or make changes to this bug.